## neutron 8.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

Paste # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
debtcollector>=1.2.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
pecan>=1.0.0 # BSD
greenlet>=0.3.2 # MIT
httplib2>=0.7.5 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
Jinja2>=2.8 # BSD License (3 clause)
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
netifaces>=0.10.4 # MIT
neutron-lib>=0.0.1 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
ryu>=3.30 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
WebOb>=1.2.3 # MIT
keystoneauth1>=2.1.0 # Apache-2.0
alembic>=0.8.0 # MIT
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.versionedobjects>=1.5.0 # Apache-2.0
ovs>=2.4.0;python_version=='2.7' # Apache-2.0

python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0

=== debian/changelog ===
neutron (2:8.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * d/p/drop-ryu-dep.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 14:17:32 -0400

neutron (2:8.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/p/autogenerate-macvtap-agent-config-file.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:31:46 -0400

neutron (2:8.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ensure-tunnels-fully-reset.patch: Dropped. Fixed upstream.
  * d/p/*: Rebased.
  * d/p/skip-ryu-tests.patch: Skip ryu tests.
  * d/control, d/neutron-bgp-dragent.*: Add new binary package and install/init
    files for BGP Dynamic Routing agent.
  * d/control, d/neutron-macvtap-agent.*: Add new binary package and install/init
    files for Macvtap L2 Agent.
  * d/p/autogenerate-macvtap-agent-config-file.patch: Cherry-picked from upstream
    master to generate config file for Macvtap L2 Agent.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2016 15:11:31 -0500

neutron (2:8.0.0~b2-0ubuntu7) xenial; urgency=medium

  * d/rules: Ensure that neutron-linuxbridge-cleanup init configurations
    are installed in the correct package (LP: #1550004).

 -- James Page <james.page@ubuntu.com>  Fri, 26 Feb 2016 13:29:25 +0000

neutron (2:8.0.0~b2-0ubuntu6) xenial; urgency=medium

  * d/neutron-server.init.in: Restore missing source of
    /e/d/neutron-server prior to trying to configure daemon arguments
    (LP: #1549919).

 -- James Page <james.page@ubuntu.com>  Thu, 25 Feb 2016 18:12:27 +0000

neutron (2:8.0.0~b2-0ubuntu5) xenial; urgency=medium

  * d/control,neutron-plugin-openvswitch-agent.*: Add transitional package for
    upgrades, ensure that old init and upstart configurations are removed
    (LP: #1548242).
  * d/*.default,neutron-server.init.in: Revert commits which mistakenly
    tied ovs or linuxbridge agents to the neutron-server package (LP: #1548245).
  * d/control,neutron-{plugin-}linuxbridge-agent.*: Rename
    neutron-plugin-linuxbridge-agent -> neutron-linuxbridge-agent inline with
    other agent packages (LP: #1548244).
  * d/control: Add dependency on conntrack for openvswitch and linuxbridge
    packages (LP: #1514731).
  * d/control,*.install,*.init.in,*.service.in,*.update.in: Re-jig locations
    of ml2 plugin and associated agent files so that openvswitch, linuxbridge
    and sriov agents no longer need to include ml2_conf.ini (LP: #1527005).
  * d/control,neutron-{plugin-}sriov-agent.*: Rename
    neutron-plugin-sriov-agent -> neutron-sriov-agent inline with
    other agent packages (LP: #1548244).
  * d/tests/*: Refactor and reduce tests; ML2 is the only plugin now in neutron
    core, so no need to continue to carry infrastructure for testing other
    plugins.
  * d/control: Drop old Breaks/Replaces on quantum-* packages.

 -- James Page <james.page@ubuntu.com>  Mon, 22 Feb 2016 13:47:02 +0000

neutron (2:8.0.0~b2-0ubuntu4) xenial; urgency=medium

  * d/tests/linuxbridge-plugin, d/neutron-plugin-linuxbridge-agent.default:
    Correct the linuxbridge config file.
  * d/tests/*: Loop to check daemon status instead of sleep.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 19 Feb 2016 08:11:38 -0500

neutron (2:8.0.0~b2-0ubuntu3) xenial; urgency=medium

  * d/tests/*: Adjust plugin tests to handle recent changes to /etc/default
    files.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Feb 2016 15:11:36 -0500

neutron (2:8.0.0~b2-0ubuntu2) xenial; urgency=medium

  * d/control: Set min version of python-debtcollector to 1.2.0 to fix failing
    tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 Feb 2016 09:56:31 -0500

neutron (2:8.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/control: Set min version of python-debtcollector to 1.2.0 to fix failing
    tests.
  * d/control: Add git to build-depends for sphinx-build.
  * d/p/fix-db-migration.patch: Dropped. Fixed upstream.
  * d/rules: Generate config files with generate_config_file_samples.sh.
  * d/rules: Set PYTHONPATH when generating config files to pick up neutron
    entry points. Also drop .sample config file extensions.
  * d/rules, d/p/series: Apply fix-neutron-configuration.patch during
    override_dh_install.
  * d/rules: Drop unpatch of neutron configuration when running tests as
    configs are generated after tests are run.
  * d/p/drop-ryu-dep.patch: Rebased.
  * d/p/fix-neutron-configuration.patch: Rebased.
  * d/tests/brocade-plugin, d/control, d/neutron-plugin-brocade.install:
    Drop brocade plugin as it's been moved out of neutron tree.
  * d/neutron-plugin-nuage.install, d/control:
    Drop nuage plugin as it's been moved out of neutron tree.
  * d/neutron-common.install: Drop install of usr/bin/neutron-dev-server as
    pecan server is launched via a config option now instead.
  * d/p/ensure-tunnels-fully-reset.patch: Cherry-picked from upstream master.
  * d/control, d/rules, d/neutron-(plugin-)openvswitch-agent*: Rename
    neutron-plugin-openvswitch-agent to neutron-openvswitch-agent
    (LP: #1321257).
  * d/control, d/neutron-server.*, d/neutron-openvswitch-agent.default,
    d/neutron-plugin-linuxbridge-agent.default: Add neutron-plugin-agent
    virtual package, drop neutron-server.default and add corresponding
    neutron-*-agent.default files with corresponding NEUTRON_PLUGIN_CONFIG
    values (LP: #1243352).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Jan 2016 16:21:10 -0500

neutron (2:8.0.0~b1-0ubuntu2) xenial; urgency=medium

  * d/p/fix-db-migration.patch: Fix db migration failure noted in
    http://paste.openstack.org/show/480820/.



=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     git,
                     python-cliff (>= 1.15.0),
                     python-coverage (>= 3.6),
                     python-ddt (>= 1.0.1),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 1.3.1),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-httplib2 (>= 0.7.5),
                     python-jinja2 (>= 2.8),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-neutron-lib (>= 0.0.1),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openvswitch (>= 2.4.0),
                     python-os-testr (>= 0.4.1),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.12.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.versionedobjects (>= 1.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.0.0),
                     python-pymysql,
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
XS-Python-Version: >= 2.6
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron
XS-Testsuite: autopkgtest

Package: neutron-server
Architecture: all
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Recommends: neutron-plugin-ml2,
Description: Neutron is a virtual network service for Openstack - server
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Neutron server

Package: neutron-common
Architecture: all
Depends: adduser,
         ipset,
         python-neutron (= ${source:Version}),
         python-neutron-fwaas,
         ${misc:Depends},
         ${python:Depends},
Breaks: neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
        neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
Replaces: neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
          neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 python-pbr (>= 0.6),
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-l3-agent
Architecture: all
Depends: conntrack,
         iputils-arping,
         keepalived,
         neutron-common (= ${source:Version}),
         neutron-metadata-agent (= ${source:Version}),
         python-neutron-fwaas (>= 2015.1~b3),
         radvd,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the layer 3 routing agent.

Package: neutron-dhcp-agent
Architecture: all
Depends: dnsmasq-base,
         dnsmasq-utils,
         neutron-common (= ${source:Version}),
         neutron-metadata-agent (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - DHCP agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Depends: neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - metadata agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the metadata proxy agent.

Package: python-neutron
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.2),
         python-greenlet (>= 0.3.2),
         python-httplib2 (>= 0.7.5),
         python-jinja2 (>= 2.8),
         python-keystoneauth1 (>= 2.1.0),
         python-keystonemiddleware (>= 4.0.0),
         python-netaddr (>= 0.7.12),
         python-neutron-lib (>= 0.0.1),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-openvswitch (>= 2.4.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.12.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.versionedobjects (>= 1.5.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pecan (>= 1.0.0),
         python-pymysql,
         python-requests (>= 2.8.1),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ryu (>= 3.23.2),
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: Neutron is a virtual network service for Openstack - Python library
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Python library.

Package: neutron-plugin-ml2
Architecture: all
Provides: neutron-plugin,
Depends: neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - ML2 plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Modular Layer 2 plugin.

Package: neutron-openvswitch-agent
Architecture: all
Depends: conntrack,
         neutron-common (= ${source:Version}),
         openvswitch-switch,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Breaks: neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
        neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Replaces: neutron-plugin-ml2 ( << 2:8.0.0~b2-0ubuntu5~ ),
          neutron-plugin-openvswitch-agent ( << 2:8.0.0~b2-0ubuntu1~ ),
Description: Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

override_dh_install:
	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'
	patch -p1 < debian/patches/fix-neutron-configuration.patch
	dh_install --fail-missing -X/usr/etc -X/usr/bin/neutron-vpn-agent \
		-X/usr/bin/neutron-lbaas-agent -X/usr/bin/neutron-hyperv-agent
	patch -p1 -R < debian/patches/fix-neutron-configuration.patch

override_dh_systemd_enable:
	dh_systemd_enable -pneutron-openvswitch-agent --name=neutron-ovs-cleanup \
		neutron-ovs-cleanup.service
	dh_systemd_enable -pneutron-linuxbridge-agent --name=neutron-linuxbridge-cleanup \
		neutron-linuxbridge-cleanup.service
	dh_systemd_enable

override_dh_installinit:
	dh_installinit -pneutron-openvswitch-agent --no-start \
        --name=neutron-ovs-cleanup
	dh_installinit -pneutron-linuxbridge-agent --no-start \
        --name=neutron-linuxbridge-cleanup
	dh_installinit --error-handler=true

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.upstart debian/*.init debian/*.service

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
    set -e && \
    TEMP_REZ=`mktemp -t` && \
    testr run --subunit neutron.tests.unit | tee $$TEMP_REZ | subunit2pyunit; \
	cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats; \
	rm -f $$TEMP_REZ ; \
	testr slowest;
endif

=== debian/tests/control ===
Tests: neutron-server python-neutron neutron-agents
Depends: neutron-server, rabbitmq-server, mysql-server
Restrictions: needs-root allow-stderr

## neutron 8.1.2

=== requirements.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 Paste # MIT
 PasteDeploy>=1.5.0 # MIT
-Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
-Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
+Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
+Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
 debtcollector>=1.2.0 # Apache-2.0
 eventlet!=0.18.3,>=0.18.2 # MIT
 pecan>=1.0.0 # BSD

=== neutron/tests/api/requirements.txt ===
# Additional requirements for api tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

tempest>=10.0.0  # Apache-2.0

=== debian/changelog ===
neutron (2:8.1.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 14:42:25 +0000

neutron (2:8.1.2-1) unstable; urgency=medium

  * New upstream release:
    - Fix FTBFS in Jessie (Closes: #827737).
  * Fix neutron-metadata server templates.
  * Removed Return_oslo_config_Opts_to_config_generator.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Jun 2016 10:30:16 +0200

neutron (2:8.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Updated Portuguese translation for debconf messages (Closes: #821050).
  * Updated Dutch translation for debconf messages (Closes: #822965).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 May 2016 11:22:30 +0200

neutron (2:8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 18:29:42 +0200

neutron (2:8.0.0~rc3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Added missing copyright holders (Closes: #816208).
  * Failed tests fails the build.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 10:07:40 +0200

neutron (2:8.0.0~rc1-2) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:50:43 +0000

neutron (2:8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed ryu version to 3.30, since I could upload it to Experimental after
    current maintainer agreed with team maintenance.
  * Added missing runtime depends: q-text-as-data.
  * Rebuild with newer oslo.config.
  * Added Return_oslo_config_Opts_to_config_generator.patch to avoid warnings.
  * Standards-Version: 3.9.7 (no change).
  * Ran debconf-updatepo.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 14:46:45 +0100

neutron (2:8.0.0~b3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 20:40:19 +0800

neutron (2:8.0.0~b2-4) experimental; urgency=medium

  [ Thomas Goirand ]
  * Added a neutron-sriov-agent package.
  * Added Ivan in the upload list.

  [ Ivan Udovichenko]
  * d/neutron-openvswitch-agent.upstart.in: Remove legacy custom Upstart script.
  * d/neutron-linuxbridge-agent.init.in d/neutron-openvswitch-agent.init.in:
      Add custom ML2 config files instead of the default one (LP: #1527005).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Feb 2016 14:15:35 +0000

neutron (2:8.0.0~b2-3) experimental; urgency=medium

  * Bumped EPOCH to align with Ubuntu.
  * Allow unit test to fail, because they do in Trusty.
  * Do not -X/usr/bin when calling dh_install.
  * Fixed auth_protocol to be http and not https by default.
  * Drop Provides: argparse (Closes: #810728).
  * neutron-linuxbridge-agent Breaks + Replaes older neutron-common
    (Closes: #813068).
  * New pt_BR.po debconf translation (Closes: #811530).

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jan 2016 07:34:12 +0000

neutron (1:8.0.0~b2-2) experimental; urgency=medium

  * Fixed config file generation.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2016 15:23:22 +0000

neutron (1:8.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depeneds for this release.
  * Rebased better-config-defaults.patch.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in d/source/options.
  * Did some cleanups in debian/rules.
  * Using oslo-config-generator to generate config files, as upstream moved to
    use that as well.
  * export OSLO_PACKAGE_VERSION now compatible with Trusty version of dpkg.
  * Fixed debian/copyright.
  * Fixed too long lines in long description.
  * Removed all shlibs:Depends from debian/control.
  * Removed neutron-common.links (for symlink to /var/lib/quantum).
  * Fails build on unit test failures.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Dec 2015 09:03:42 +0100

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Gustavo Panizzo <gfa@zumbi.com.ar>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     bridge-utils,
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-ddt (>= 1.0.1),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 1.3.1),
                     python-gflags,
                     python-greenlet,
                     python-hacking,
                     python-httplib2,
                     python-jinja2 (>= 2.8),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.12),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 1:4.1.0),
                     python-neutron-lib,
                     python-novaclient (>= 2:2.30.1),
                     python-openvswitch,
                     python-os-testr (>= 0.4.2),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.versionedobjects (>= 1.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy,
                     python-pecan (>= 1.0.0),
                     python-pymysql,
                     python-pyudev,
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-retrying,
                     python-routes,
                     python-ryu (>= 3.30),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.12),
                     python-stevedore (>= 1.5.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-webob,
                     python-webtest,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/neutron.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/neutron.git

Package: python-neutron
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         conntrack,
         iproute2,
         ipset,
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.4),
         python-gflags,
         python-greenlet,
         python-httplib2,
         python-jinja2 (>= 2.8),
         python-keystoneauth1 (>= 2.1.0),
         python-keystonemiddleware (>= 4.0.0),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-netifaces (>= 0.10.4),
         python-neutronclient (>= 1:4.1.0),
         python-neutron-lib,
         python-novaclient (>= 2:2.30.1),
         python-openvswitch,
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.versionedobjects (>= 1.5.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-psycopg2,
         python-pymysql,
         python-pyudev,
         python-requests (>= 2.8.1),
         python-retrying,
         python-routes,
         python-ryu (>= 3.30),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.12),
         python-stevedore (>= 1.5.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping,
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Provides: ${python:Provides},
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

Package: neutron-server
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron server.

Package: neutron-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         dpkg-dev,
         python-mysqldb,
         python-neutron (= ${source:Version}),
         python-pyparsing (>=1.5.7),
         python-sqlalchemy (>= 1.0.12),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Provides: neutron-plugin,
          neutron-plugin-bigswitch,
          neutron-plugin-brocade,
          neutron-plugin-cisco,
          neutron-plugin-hyperv,
          neutron-plugin-linuxbridge,
          neutron-plugin-metaplugin,
          neutron-plugin-ml2,
          neutron-plugin-nec,
          neutron-plugin-nicira,
          neutron-plugin-openvswitch,
          neutron-plugin-plumgrid,
          neutron-plugin-ryu,
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-plugin-nec-agent
Architecture: all
Provides: neutron-plugin,
Depends: neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-l3-agent
Architecture: all
Depends: adduser,
         debconf,
         iputils-arping,
         keepalived,
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Recommends: openvswitch-switch,
Conflicts: neutron-vpn-agent,
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-dhcp-agent
Architecture: all
Depends: adduser,
         dnsmasq-base (>= 2.63),
         dnsmasq-utils (>= 2.63),
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: neutron-plugin-metering-agent,
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Pre-Depends: openvswitch-switch (>= 1.9),
Replaces: neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Provides: neutron-plugin-openvswitch-agent,
Depends: neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Recommends: openvswitch-datapath-dkms,
Description: OpenStack virtual network service - Open vSwitch agent

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

PYTHONS:=$(shell pyversions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_install:
	echo "Do nothing"

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
	cp -auxf neutron $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages
	rm -rf $(CURDIR)/debian/tmp/usr/etc

	# dhcp_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini \
		--wrap-width 140 \
		--namespace neutron.base.agent \
		--namespace neutron.dhcp.agent \
		--namespace oslo.log
	sed -i 's|^[ #\t]*interface_driver[ \t]*=.*|interface_driver = neutron.agent.linux.interface.OVSInterfaceDriver|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*ovs_integration_bridge[ \t]*=.*|ovs_integration_bridge = br-int|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*dhcp_driver[ \t]*=.*|dhcp_driver = neutron.agent.linux.dhcp.Dnsmasq|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*enable_isolated_metadata[ \t]*=.*|enable_isolated_metadata = False|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*dnsmasq_config_file[ \t]*=.*|dnsmasq_config_file = /etc/neutron/dnsmasq-neutron.conf|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini

	# l3_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-l3-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini \
		--wrap-width 140 \
		--namespace neutron.base.agent \
		--namespace neutron.l3.agent \
		--namespace oslo.log
	sed -i 's|^[ #\t]*interface_driver[ \t]*=.*|interface_driver = openvswitch|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*handle_internal_only_routers[ \t]*=.*|handle_internal_only_routers = True|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*external_network_bridge[ \t]*=.*|external_network_bridge = br-ex|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*enable_metadata_proxy[ \t]*=.*|enable_metadata_proxy = True|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*agent_mode[ \t]*=.*|agent_mode = legacy|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini

	# linuxbridge_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2/linuxbridge_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.linuxbridge.agent \
		--namespace oslo.log

	# metadata_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini \
		--wrap-width 140 \
		--namespace neutron.metadata.agent \
		--namespace oslo.log
	sed -i 's|^[ #\t]*nova_metadata_protocol[ \t]*=.*|nova_metadata_protocol = http|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini
	sed -i 's|^[ #\t]*nova_metadata_ip[ \t]*=.*|nova_metadata_ip = 127.0.0.1|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini

	# metering_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metering-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp oslo-config-generator --output-file $(CURDIR)/debian/neutron-metering-agent/etc/neutron/metering_agent.ini \
		--wrap-width 140 \
		--namespace neutron.metering.agent \
		--namespace oslo.log

	# ml2_conf.ini
	mkdir -p $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini \
		--wrap-width 140 \
		--namespace neutron.ml2 \
		--namespace oslo.log
	sed -i 's|^[ #\t]*type_drivers[ \t]*=.*|type_drivers = flat,gre|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*tenant_network_types[ \t]*=.*|tenant_network_types = gre|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*mechanism_drivers[ \t]*=.*|mechanism_drivers = openvswitch,l2population|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*flat_networks[ \t]*=.*|flat_networks = external|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*tunnel_id_ranges[ \t]*=.*|tunnel_id_ranges = 1:1000|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*enable_security_group[ \t]*=.*|enable_security_group = True|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*enable_ipset[ \t]*=.*|enable_ipset = True |' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini

	# ml2_conf_sriov.ini
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf_sriov.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.sriov \
		--namespace oslo.log

	# neutron.conf
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf \
		--wrap-width 140 \
		--namespace neutron \
		--namespace neutron.agent \
		--namespace neutron.db \
		--namespace neutron.extensions \
		--namespace neutron.qos \
		--namespace nova.auth \
		--namespace oslo.log \
		--namespace oslo.db \
		--namespace oslo.policy \
		--namespace oslo.concurrency \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace keystonemiddleware.auth_token
	sed -i 's|^[ #\t]*core_plugin[ \t]*=.*|core_plugin = ml2|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*service_plugins[ \t]*=.*|service_plugins = router,metering|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*auth_strategy[ \t]*=.*|auth_strategy = keystone|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*allow_overlapping_ips[ \t]*=.*|allow_overlapping_ips = True|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*notify_nova_on_port_status_changes[ \t]*=.*|notify_nova_on_port_status_changes = True |' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*rpc_backend[ \t]*=.*|rpc_backend = rabbit|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*root_helper[ \t]*=.*|root_helper = sudo neutron-rootwrap /etc/neutron/rootwrap.conf|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*connection[ \t]*=.*|connection = sqlite:///var/lib/neutron/neutrondb|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*region_name[ \t]*=.*|region_name = regionOne|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
